Skip to main content
POST
/
phone
/
single
curl --request POST \
  --url https://api.enrow.io/phone/single \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: YOUR_API_KEY' \
  --data '{
    "linkedin_url": "https://www.linkedin.com/in/michael-scott/",
    "custom": "#u84hde941Jdx"
  }'
{
  "credits_used": 50,
  "id": "94cbc13b-7d77-4f41-83f0-60106daa7182",
  "message": "Single search operating",
  "credits": {
    "amount": 50,
    "source": "sub",
    "split": { "fromPaygo": 0, "fromSub": 50 }
  }
}
POST
https://api.enrow.io/phone/single
Run an asynchronous search to find a phone number and the associated country. The search needs to contain either:
  • The URL of a person’s LinkedIn profile (e.g., https://www.linkedin.com/in/michael-scott/)
  • The combination of individual information: first_name + last_name + (company_name or company_domain)
The LinkedIn URL will always prevail on the individual information if both are present, as it is the best way to discriminate a single person and avoid homonym-related issues.

Request Body

Option 1 (Recommended):
linkedin_url
string
LinkedIn profile URL of the person.Note: Takes precedence over individual information if both are provided.
Option 2:
first_name
string
First name of the person
last_name
string
Last name of the person
company_domain
string
Company domain (e.g., "dundermifflin.com")
company_name
string
Company name (alternative to company_domain)
Additional:
custom
string
A custom value you can use to reference an internal ID. It will be present in the results.
settings
object
Settings related to this search.

Response

201 — Single search created

message
string
Confirmation message
id
string
Unique identifier for this search. Use this to retrieve results via the GET endpoint.
credits_used
number
Number of credits consumed (50)
credits
object
Credit breakdown

Error Responses

CodeMessage
400Invalid linkedin_url
401No apikey found in the x-api-key headers
401This apikey is not valid
422Insufficient balance
curl --request POST \
  --url https://api.enrow.io/phone/single \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: YOUR_API_KEY' \
  --data '{
    "linkedin_url": "https://www.linkedin.com/in/michael-scott/",
    "custom": "#u84hde941Jdx"
  }'
{
  "credits_used": 50,
  "id": "94cbc13b-7d77-4f41-83f0-60106daa7182",
  "message": "Single search operating",
  "credits": {
    "amount": 50,
    "source": "sub",
    "split": { "fromPaygo": 0, "fromSub": 50 }
  }
}